Bug 1526647 - coin-or-lemon: pkg-config and cmake files in -devel are incorrect for x86_64
Summary: coin-or-lemon: pkg-config and cmake files in -devel are incorrect for x86_64
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: coin-or-lemon
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Lutomirski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-16 00:04 UTC by Troy Curtis
Modified: 2019-11-27 22:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:58:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Troy Curtis 2017-12-16 00:04:36 UTC
Description of problem:
At least on x86_64, the pkg-config file (/usr/lib64/pkgconfig/lemon.pc) and cmake config (/usr/share/coin-or-lemon/cmake/LEMONConfig.cmake) point to /usr/lib instead of /usr/lib64.

Additionally the cmake file points to the static library which is not installed.

Version-Release number of selected component (if applicable):
1.3.1-13 x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install coin-or-lemon and coin-or-lemon-devel
2. Look at cmake and pkgconfig files
3.

Actual results:
Build files point to /usr/lib

Expected results:
* Build files point to /usr/lib64
* CMake file points to static library which isn't present


Additional info:

Comment 1 Fedora End Of Life 2018-02-20 15:28:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Jerry James 2018-06-02 17:14:10 UTC
I had to rebuild coin-or-lemon in Rawhide for a glpk update and managed to fix the /usr/lib vs. /usr/lib64 problem in the process, but neglected to fix the static library issue.  Sorry about that.  The remaining issue should be easy to fix, though.

Comment 3 Jan Kurik 2018-08-14 10:16:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Jerry James 2019-06-28 15:31:44 UTC
I fixed the cmake file in Rawhide.

Comment 5 Ben Cotton 2019-10-31 19:05:19 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-11-27 22:58:18 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.